Bug 244452 - Add support for /etc/prelink.conf.d/
Summary: Add support for /etc/prelink.conf.d/
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 244455
TreeView+ depends on / blocked
 
Reported: 2007-06-15 19:11 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 0.4.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 17:56:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2007-06-15 19:11:27 UTC
Description of problem:
As of today, adding entries to prelink's blacklist can only be done by modifying
the global prelink.conf file.
This is fragile, because later versions of the prelink package might overwrite it.
In order to support individual configuration, Jakub proposed to have a
/etc/prelink.conf.d/ configuration directory where other packages can add their
requirements as invidiual files.

This bug requests to add this feature to the prelink software.

Comment 1 Jakub Jelinek 2007-10-09 17:56:26 UTC
Done in prelink-0.4.0-1 in rawhide.

Comment 2 Kai Engert (:kaie) (inactive account) 2007-10-10 01:00:25 UTC
Jakub, thank you very much for your work on this!

I've attached a patch to bug 244455 that shows my planned changes to the NSS
package.



Note You need to log in before you can comment on or make changes to this bug.